cgGetParameterResourceName(3)

NAME
cgGetParameterResourceName - get a program parameter's resource name

SYNOPSIS
  #include <Cg/cg.h>

  const char * cgGetParameterResourceName( CGparameter param );

PARAMETERS

param
    The program parameter.

RETURN VALUES
Returns the resource name of param.

Returns NULL if an error occurs.

DESCRIPTION
cgGetParameterResourceName allows the application to retrieve the resource name for a parameter in a Cg program. For translated profiles this name will most likely be different from the string returned by cgGetResourceString.

EXAMPLES
  /* log info about parameter param for debugging */

  printf("Resource: %s:%d (base %s) [name:%s]\n",
    cgGetResourceString(cgGetParameterResource(param)),
    cgGetParameterResourceIndex(param),
    cgGetResourceString(cgGetParameterBaseResource(param)),
    cgGetParameterResourceName(param));

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PARAMETER_ERROR is generated if param is not a leaf node.

HISTORY
cgGetParameterResourceName was introduced in Cg 2.1.

SEE ALSO
cgGetParameterBaseResource, cgGetParameterResource, cgGetParameterResourceIndex, cgGetResource, cgGetResourceString